Package com.destroystokyo.paper.event.server

# Class ServerExceptionEvent

java.lang.Object
org.bukkit.event.Event
com.destroystokyo.paper.event.server.ServerExceptionEvent

public class ServerExceptionEvent extends Event
Called whenever an exception is thrown in a recoverable section of the server.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`ServerExceptionEvent(@NotNull ServerException exception)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull ServerException`
`getException()`
Gets the wrapped exception that was thrown.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerExceptionEvent

public ServerExceptionEvent(@NotNull @NotNull ServerException exception)

## Method Details

### getException

@NotNull public @NotNull ServerException getException()
Gets the wrapped exception that was thrown.

Returns:
  Exception thrown

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()